Subject: Re: bug#35529: libdrm fails to build on armhf-linux

From: Mark H Weaver <[email-masked]>
Date: Mon, 06 May 2019 04:22:40 -0400

Hi Ricardo,

Ricardo Wurmus <[email-masked]> writes:

>> Ricardo Wurmus <[email-masked]> writes:
>>
>>> Mark H Weaver <[email-masked]> writes:
>>>
>>>> Hydra failed two consecutive attempts to build libdrm on armhf-linux:
>>>>
>>>>   https://hydra.gnu.org/build/3481547#tabs-summary
>>>>
>>>> Both build attempts were made on hydra-slave2, which is a Wandboard Quad
>>>> based on the Freescale i.MX6 SOC.
>>>
>>> This has built fine on berlin.  We have a completed build for
>>> /gnu/store/3c28p8b07709isd9jlcnnnyrpgz4ndz8-libdrm-2.4.97.
>>
>> What kind of hardware was it built on?
>
> I’m not sure.  We’re using a few Overdrive 1000 machines that have quite
> a bit more RAM than the other armhf nodes.

Are there any other kinds of build slaves that build armhf binaries for
Berlin?

>> Note that the failure on Hydra was due to a timeout in the test suite:
>>
>>   https://hydra.gnu.org/build/3481547/nixlog/6/tail-reload
>>
>> All of the other tests completed within a few seconds, but the timeout
>> tripped after 1200 seconds.  So, I'm not sure if it's simply that the
>> build hardware is too slow.  It might have actually gotten stuck.
>> Perhaps the test uses /dev/random (as opposed to /dev/urandom) and
>> there's not enough entropy available on the build machine.
>
> My guess is that it ran out of RAM and began trashing.  We’ve had at
> least another build (nss) that worked fine on the Overdrive but failed
> on other armhf machines.

All of the armhf build slaves on hydra.gnu.org have 4 gigabytes of RAM.
So does redhill, the armhf slave hosted by Andreas.

My Thinkpad X200 only has 4 gigabytes, and that's enough to build my
entire GNOME system from source code, including webkitgtk, icecat, rust,
nss, etc.

FWIW, I'd be very surprised if these libdrm test failures are due to
running out of memory.

       Mark